Bug 43607 - gnome-lokkit-0.43-7.src.rpm fails to build
gnome-lokkit-0.43-7.src.rpm fails to build
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: gnome-lokkit (Show other bugs)
1.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-05 16:08 EDT by Need Real Name
Modified: 2014-03-16 22:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-07 06:56:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-06-05 16:08:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-5 i686)

Description of problem:
make  all-recursive
make[1]: Entering directory `/usr/src/redhat/BUILD/gnome-lokkit-0.42'
Making all in macros
make[2]: Entering directory
`/usr/src/redhat/BUILD/gnome-lokkit-0.42/macros'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/usr/src/redhat/BUILD/gnome-lokkit-0.42/macros'
Making all in po
make[2]: Entering directory `/usr/src/redhat/BUILD/gnome-lokkit-0.42/po'
file=./`echo ca | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt --statistics -o $file ca.po
41 translated messages, 5 fuzzy translations, 39 untranslated messages.
file=./`echo da | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt --statistics -o $file da.po
46 translated messages, 2 fuzzy translations, 37 untranslated messages.
file=./`echo de | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt --statistics -o $file de.po
46 translated messages, 2 fuzzy translations, 37 untranslated messages.
file=./`echo el | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt --statistics -o $file el.po
el.po: warning: Charset "iso8859-7" is not a portable encoding name.
                Message conversion to user's charset might not work.
41 translated messages, 5 fuzzy translations, 39 untranslated messages.
file=./`echo en_SE | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt --statistics -o $file en_SE.po
en_SE.po: warning: Charset "8859-1" is not a portable encoding name.
                   Message conversion to user's charset might not work.
22 translated messages, 5 fuzzy translations, 58 untranslated messages.
file=./`echo gl | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt --statistics -o $file gl.po
41 translated messages, 5 fuzzy translations, 39 untranslated messages.
file=./`echo hu | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt --statistics -o $file hu.po
hu.po: warning: Charset "ISO" is not a portable encoding name.
                Message conversion to user's charset might not work.
46 translated messages, 2 fuzzy translations, 37 untranslated messages.
file=./`echo it | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt --statistics -o $file it.po
43 translated messages, 5 fuzzy translations, 37 untranslated messages.
file=./`echo ja | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/msgfmt --statistics -o $file ja.po
ja.po:108: invalid multibyte sequence
ja.po:109: end-of-line within string
ja.po:112: invalid multibyte sequence
ja.po:113: end-of-line within string
found 4 fatal errors
make[2]: *** [ja.gmo] Error 1
make[2]: Leaving directory `/usr/src/redhat/BUILD/gnome-lokkit-0.42/po'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/gnome-lokkit-0.42'
make: *** [all-recursive-am] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.38338 (%build)


How reproducible:
Always

Steps to Reproduce:
1.Rebuild from source
2.
3.
	

Additional info:

automake-1.4p2-1
autoconf-2.13-10
gettext-0.10.38-1
libtool-1.4-3
Comment 1 Bill Nottingham 2001-06-05 16:21:05 EDT
it's a gettext problem. sort of.
Comment 2 Need Real Name 2001-06-07 06:56:56 EDT
Yes it is, gnome-lokkit builds OK with gettext-0.10.35-31, not with 0.10.37 or
0.10.38 (and libtool-1.4-3).

BTW:
#>rpm -qpR gnome-lokkit-0.43-7.src.rpm 
/usr/bin/db2html

Shouldn't the dependency be on package level?
#>rpm -qf /usr/bin/db2html
docbook-utils-0.6.8-1
Comment 3 Bill Nottingham 2001-06-11 11:00:57 EDT
This was fixed in gnome-lokkit-0.43-8, AFAIR.

Note You need to log in before you can comment on or make changes to this bug.